android.nativeLog("parse_video_site.js 文件被加载了...")

// 网址（茶杯狐）：http://cupfox.app/
takeIf(() => location.host === "cupfox.app", () => {
    // 去除茶杯狐网站首页通知弹窗
    tryBlock(() => {
        const elements = getElements("jsx-589984643");
        for (let i = 0; i < elements.length; i++) {
            gone(elements[i])
        }
    })

    // 去除茶杯狐网站首页通知弹窗
    tryBlock(() => {
        const elements = getElements("model");
        for (let i = 0; i < elements.length; i++) {
            gone(elements[i])
        }
    })

    // 隐藏左上角菜单按钮
    const currUrl = window.location.href;
    tryBlock(() => {
        const elements = getElements("bm-burger-button");
        const header = elements[0];
        invisible(header)
    })

    // 隐藏 footer 底部的 茶杯狐、优惠券 菜单按钮
    tryBlock(() => {
        const elements = getElements("mobile-nav");
        for (let i = 0; i < elements.length; i++) {
            const navList = elements[i].getElementsByClassName("nav");
            for (let j = 0; j < navList.length; j++) {
                // 隐藏底部的 茶杯狐、优惠券 菜单按钮
                if (j === 2 || j === 3) {
                    gone(navList[j])
                }
            }
        }
    })

    // 隐藏搜索结果的 vpn banner 广告（需要在页面加载完成后调用）
    tryBlock(() => {
        const elements = getElements("jsx-2476695586");
        for (let i = 0; i < elements.length; i++) {
            const element = elements[i];
            gone(element)
        }
    })

    // 隐藏分类板块的 vpn banner 广告（需要在页面加载完成后调用）
    tryBlock(() => {
        const elements = getElements("banner-box");
        for (let i = 0; i < elements.length; i++) {
            const element = elements[i];
            gone(element)
        }
    })

    // 隐藏 我 界面 除了 观看历史 之外的菜单按钮
    tryBlock(() => {
        const recommendNav = getElements("recommend-nav");
        for (let i = 0; i < recommendNav.length; i++) {
            const navList = recommendNav[i].getElementsByClassName("nav");
            for (let j = 0; j < navList.length; j++) {
                // 隐藏除了 观看历史 之外的菜单按钮
                if (j !== 0) {
                    gone(navList[j])
                }
            }
        }
    })

    // 隐藏左上角的菜单按钮
    tryBlock(() => {
        const elements = getElements("bm-burger-button");
        invisible(elements[0])
    })

    // 隐藏首页的赞助发电和领券中心 banner
    tryBlock(() => {
        const elements = getElements("jsx-ad2e94093baf1e8c");
        gone(elements[0])
    })

    // 隐藏首页的 vpn banner 广告
    tryBlock(() => {
        const elements = getElements("jsx-1681508760");
        for (let i = 0; i < elements.length; i++) {
            gone(elements[i])
        }
    })

    // 去除 我 界面：帮助反馈、网站收录、广告合作 菜单按钮
    tryBlock(() => {
        const elements = getElements("nav-item");
        const lastIndex = elements.length - 1;
        for (let i = 0; i < elements.length; i++) {
            if (i !== lastIndex) {
                gone(elements[i])
            }
        }
    })
})

// 网址（acgNya）：http://www.acgnya.com/
takeIf(() => location.host === "www.acgnya.com", () => {
	// 去除 acgNya 首页顶部横幅广告
	tryBlock(() => {
		const element = getElementById("7645859975449108235-3632")
		element.remove()
		// gone(element)
	})
	// 去除 acgNya 首页热榜横幅广告
	tryBlock(() => {
		const element = getElementById("show-7645859975449108235-2674")
		gone(element)
	})
	// 去除 acgNya 首页底部横幅广告
	tryBlock(() => {
		const element = getElementById("7645859975449108235-3642")
		gone(element)
	})
})

// 网址（VOFLIX）：https://www.voflix.me/
takeIf(() => location.host === "www.voflix.me", () => {
	// 去除 VOFLIX 右侧横幅广告
	tryBlock(() => {
		const element = getElementById("arBRyGHxuDYU")
		gone(element)
	})
})